{% extends "u/userpage.html" %}

{% comment %}
Presenter Club - Make Great Presentations, Faster
Copyright (C) 2016 Sam Parkinson <sam@sam.today>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}

{% block userpagemain %}
{% if not presentations and viewing != user %}
    <p>Right now, {{ profile.name }} doesn't have any presentations.</p>
{% else %}
    <ul class='PresentationList__ul'>
    {% for p in presentations %}
        <li class='emphasisbox__parent'>
            <a href="{% url 'u:view' viewing.username p.id %}"
               title='View Presentation'
               class='PresentationList__item emphasisbox__left'>
                <img src="{% url 'u:thumb' viewing.username p.id %}" 
                     alt="Thumbnail"
                     width="320px" height="180px"
                     class='PresentationList__thumb'>
                <div class='PresentationList__title'>
                    <h2>{{ p.title }}</h2>
                    {% if viewing == user %}
                        <div class='PresentationList__title__byline'>
                            {{ p.get_privacy_display }}
                        </div>
                    {% endif %}
                </div>
            </a>
            {% if user == viewing %}
                <div class='PresentationList__actions emphasisbox__actions'>
                    <a class="button small"
                       href="{% url 'u:edit' viewing.username p.id %}">Edit</a>
                    <a class="button small"
                       href="{% url 'u:deletepresentation' viewing.username p.id %}">Delete</a>
                </div>
            {% else %}
                <div class='PresentationList__actions emphasisbox__actions'>
                    <a class="button small"
                       href="{% url 'u:view' viewing.username p.id %}">View</a>
                </div>
            {% endif %}
        </a></li>
    {% endfor %}

    {% if user == viewing %}
        <a href='{% url 'u:create' viewing.username %}'
           class='PresentationList__create_new button special'
           title='New Presentation'>
            New Presentation
        </a>
    {% endif %}
    </ul>
{% endif %}
{% endblock userpagemain %}
